## kpimtextedit 18.08.3

=== debian/changelog ===
kpimtextedit (18.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.08.3).
  * Bump Standards-Version to 4.3.0 (No changes needed).

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 15:56:15 +0100

kpimtextedit (18.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * Follow stable releases in KDE again.
  * New upstream release (18.08.1).

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:16:32 +0200

kpimtextedit (18.07.90-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update watch file to match unstable releases, too.
  * New upstream release (18.07.90).
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Update build-deps and deps with the info from cmake
  * Update symbols from build for 18.07.90.
  * Bump Debian-ABI for libkf5pimtextedit5 because of ABI breakage to 2.

 -- Sandro Knauß <hefee@debian.org>  Thu, 16 Aug 2018 11:00:55 +0200

kpimtextedit (17.12.3-2) unstable; urgency=medium

  * Team upload.
  * Add the libqt5texttospeech5-dev build dependency to enable the
    text-to-speech functionality.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Properly run the test suite during the build, so it works:
    - add the breeze-icon-theme build dependency, as the test suite tries to
      load icons
    - add the openbox build dependency, to have a real window manager
    - create a new debian/testsuite.xsession script, modelled after
      debian/tests/testsuite.xsession, that prepares the fake home directory,
      and starts the WM
    - run xvfb-run with the proper arguments, using a fake home directory for
      it, and invoking debian/testsuite.xsession
    - make the test suite run fatal
  * Remove the unused, and now no more useful autopkgtest stuff.

 -- Pino Toscano <pino@debian.org>  Tue, 08 May 2018 14:39:28 +0200

kpimtextedit (17.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.3).
  * use secure copyright format uri.

 -- Sandro Knauß <hefee@debian.org>  Sat, 31 Mar 2018 18:26:42 +0200

kpimtextedit (17.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.2).
  * Update build-deps and deps with the info from cmake
  * Enable build tests.
  * split arch independent files into own package (libkf5pimtextedit-
    data).
  * Use DebianABIManager to handle libkpimtextedit* properly.
  * Update library from libkpimtextedit5 -> libkkpimtextedit5abi1,
    because of ABI breakage.
  * Update Vcs links to salsa.
  * Bump debhelper build-dep and compat to 11.

 -- Sandro Knauß <hefee@debian.org>  Fri, 09 Mar 2018 15:15:00 +0100

kpimtextedit (17.08.3-3) unstable; urgency=medium

  * Team upload.
  * Switch the kdesignerplugin build dependency to kgendesignerplugin, as the
    latter is the actual needed one.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Jan 2018 12:02:53 +0100

kpimtextedit (17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Remove unused kio-dev, and libkf5kdelibs4support-dev build dependencies.
  * Simplify watch file, and switch it to https.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Tighten the inter-library dependencies.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Jan 2018 10:44:55 +0100

kpimtextedit (17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.08.3).
  * Get rid of unnessary break/replaces of kde-l10n-(ast|eo).
  * Bump Standards-Version to 4.1.2 (No changes needed).
  * Mark libkf5pimtextedit-dev correctly as Multi-Arch: same.
  * Bump debhelper build-dep and compat to 10.
  * Update symbols from buildds for 17.08.0
  * Set l10npkgs_firstversion_ok to 4:16.04.3-9~

 -- Sandro Knauß <hefee@debian.org>  Thu, 21 Dec 2017 17:58:01 +0100

kpimtextedit (17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.0.1.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Update symbols file
  * Bump group breaks (17.08)
  * Update copyright file
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Sep 2017 22:08:35 +0200

kpimtextedit (17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:39:17 +0000

kpimtextedit (17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:23:21 +0000

kpimtextedit (17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:23:03 +0000

kpimtextedit (17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:23:42 +0000

kpimtextedit (17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:05:28 +0000

kpimtextedit (16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:49:45 +0000

kpimtextedit (16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:01:32 +0000

kpimtextedit (16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:22:15 +0000

kpimtextedit (16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:30:01 +0000

kpimtextedit (16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:53:54 +0000

kpimtextedit (16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:40:53 +0000

kpimtextedit (16.08.1-1~1.gbpe447e6) UNRELEASED; urgency=medium

  ** SNAPSHOT build @e447e6f2d3ffeba8910b0a442557e180e19af273 **

  * Refresh patches
  * Update symbols files with the buildds results


=== debian/control ===
Source: kpimtextedit
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: breeze-icon-theme,
               cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.47.0~),
               kgendesignerplugin (>= 5.47.0~),
               libgrantlee5-dev (>= 5.1~),
               libkf5codecs-dev (>= 5.47.0~),
               libkf5config-dev (>= 5.47.0~),
               libkf5configwidgets-dev (>= 5.47.0~),
               libkf5coreaddons-dev (>= 5.47.0~),
               libkf5emoticons-dev (>= 5.47.0~),
               libkf5i18n-dev (>= 5.47.0~),
               libkf5iconthemes-dev (>= 5.47.0~),
               libkf5kio-dev (>= 5.47.0~),
               libkf5sonnet-dev (>= 5.47.0~),
               libkf5syntaxhighlighting-dev (>= 5.47.0~),
               libkf5textwidgets-dev (>= 5.47.0~),
               libkf5widgetsaddons-dev (>= 5.47.0~),
               libkf5xmlgui-dev (>= 5.47.0~),
               libqt5texttospeech5-dev,
               openbox,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.9.0~),
               qttools5-dev,
               qttools5-dev-tools,
               xauth,
               xvfb,
Standards-Version: 4.3.0
Homepage: https://projects.kde.org/projects/kde/pim/kpimtextedit
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpimtextedit
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpimtextedit.git

Package: libkf5pimtextedit-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5pimtextedit5, ${kde-l10n:all}
Replaces: libkf5pimtextedit5, ${kde-l10n:all}
Description: libkf5pimtextedit - arch independent files
 KPIMTextedit provides a textedit with PIM-specific features. It also provides
 so-called rich text builders which can convert the formatted text in the text
 edit to all kinds of markup, like HTML or BBCODE.
 .
 This package contains the arch independent files.

Package: libkf5pimtextedit-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5pimtextedit5abi2 (= ${binary:Version}),
         libkf5syntaxhighlighting-dev (>= 5.47.0~),
         libkf5textwidgets-dev (>= 5.47.0~),
         ${misc:Depends},
Description: libkf5pimtextedit - development files
 KPIMTextedit provides a textedit with PIM-specific features. It also provides
 so-called rich text builders which can convert the formatted text in the text
 edit to all kinds of markup, like HTML or BBCODE.
 .
 This package contains the development files.
Breaks: libkf5identitymanagement-dev (<< 17.08),
        libkf5pimcommon-dev (<< 4:17.08),

Package: libkf5pimtextedit-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library that provides a textedit with PIM-specific features - plugins
 KPIMTextedit provides a textedit with PIM-specific features. It also provides
 so-called rich text builders which can convert the formatted text in the text
 edit to all kinds of markup, like HTML or BBCODE.
 .
 This package contains the plugin for Qt Designer.

Package: libkf5pimtextedit5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5PimTextEdit
Architecture: any
Multi-Arch: same
Depends: libkf5pimtextedit-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5pimtextedit-plugins
Breaks: akonadiconsole (<< 4:17.08),
        akregator (<< 4:17.08),
        kalarm (<< 4:17.08),
        kdepim-addons (<< 17.08),
        kdepim-themeeditors (<< 4:17.08),
        kmail (<< 4:17.08),
        knotes (<< 4:17.08),
        korganizer (<< 4:17.08),
        libkf5identitymanagement5 (<< 17.08),
        libkf5incidenceeditor5 (<< 17.08),
        libkf5ksieveui5 (<< 4:17.08),
        libkf5libkleo5 (<< 4:17.08),
        libkf5messagecomposer5 (<< 4:17.08),
        libkf5messagecore5 (<< 4:17.08),
        libkf5messageviewer5 (<< 4:17.08),
        libkf5pimcommon5 (<< 4:17.08),
        libkf5templateparser5 (<< 4:17.08),
Description: library that provides a textedit with PIM-specific features
 KPIMTextedit provides a textedit with PIM-specific features. It also provides
 so-called rich text builders which can convert the formatted text in the text
 edit to all kinds of markup, like HTML or BBCODE.
 .
 This package is part of the KDE Development Platform PIM libraries module.

## kpimtextedit 18.08.3.1%2Brb2

=== src/CMakeLists.txt ===

configure_file(config-kpimtextedit.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kpimtextedit.h )

set(kpimtextedit_texteditor_SRCS
    texteditor/plaintexteditor/plaintexteditfindbar.cpp
    texteditor/plaintexteditor/plaintexteditor.cpp
    texteditor/plaintexteditor/plaintexteditorwidget.cpp
    texteditor/plaintexteditor/plaintextsyntaxspellcheckinghighlighter.cpp
    texteditor/commonwidget/textfindreplacewidget.cpp
    texteditor/commonwidget/texteditfindbarbase.cpp
    texteditor/commonwidget/textgotolinewidget.cpp
    texteditor/commonwidget/textmessageindicator.cpp
    texteditor/richtexteditor/richtexteditor.cpp
    texteditor/richtexteditor/richtexteditfindbar.cpp
    texteditor/richtexteditor/richtexteditorwidget.cpp
    )

set(kpimtextedit_composerng_SRCS
    composer-ng/richtextcomposer.cpp
    composer-ng/richtextcomposercontroler.cpp
    composer-ng/richtextcomposeractions.cpp
    composer-ng/klinkdialog.cpp
    composer-ng/nestedlisthelper.cpp
    composer-ng/richtextexternalcomposer.cpp
    composer-ng/richtextcomposerimages.cpp
    composer-ng/richtextcomposeremailquotedecorator.cpp
    composer-ng/richtextcomposeremailquotehighlighter.cpp
    composer-ng/richtextcomposerwidget.cpp
    )

set(kpimtextedit_texttospeech_SRCS
    texttospeech/texttospeech.cpp
    texttospeech/texttospeechwidget.cpp
    texttospeech/texttospeechconfigwidget.cpp
    texttospeech/texttospeechinterface.cpp
    texttospeech/abstracttexttospeechinterface.cpp
    texttospeech/abstracttexttospeechconfiginterface.cpp
    texttospeech/texttospeechconfiginterface.cpp
    texttospeech/texttospeechconfigdialog.cpp
    texttospeech/texttospeechlanguagecombobox.cpp
    texttospeech/texttospeechactions.cpp
    )


set(kpimtextedit_SRCS
    emoticontexteditaction.cpp
    emoticontexteditselector.cpp
    inserthtmldialog.cpp
    insertimagedialog.cpp
    insertimagewidget.cpp
    inserttabledialog.cpp
    selectspecialchardialog.cpp
    tableactionmenu.cpp
    tablecellformatdialog.cpp
    tableformatdialog.cpp
    textutils.cpp
    inserttablewidget.cpp
    texteditorcompleter.cpp
    inserthtmleditor.cpp
    slidecontainer.cpp
    editorutil.cpp
    )

ecm_qt_declare_logging_category(kpimtextedit_SRCS HEADER kpimtextedit_debug.h IDENTIFIER KPIMTEXTEDIT_LOG CATEGORY_NAME org.kde.pim.kpimtextedit)

add_library(KF5PimTextEdit ${kpimtextedit_SRCS} ${kpimtextedit_texteditor_SRCS} ${kpimtextedit_texttospeech_SRCS} ${kpimtextedit_composerng_SRCS})

generate_export_header(KF5PimTextEdit BASE_NAME kpimtextedit)

add_library(KF5::PimTextEdit ALIAS KF5PimTextEdit)

target_include_directories(KF5PimTextEdit INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KPIMTextEdit;>")
target_include_directories(KF5PimTextEdit PUBLIC "$<BUILD_INTERFACE:${KPimTextEdit_SOURCE_DIR}/src;${KPimTextEdit_BINARY_DIR}/src>")


target_link_libraries(KF5PimTextEdit
    PRIVATE
    KF5::Emoticons
    KF5::Codecs
    KF5::SonnetUi
    KF5::SonnetCore
    KF5::WidgetsAddons
    KF5::KIOWidgets
    KF5::ConfigWidgets
    KF5::IconThemes
    Grantlee5::TextDocument
    KF5::XmlGui
    KF5::I18n
    KF5::SyntaxHighlighting
    )

if(KPIMTEXTEDIT_HAVE_TEXTTOSPEECH)
    target_link_libraries(KF5PimTextEdit PRIVATE Qt5::TextToSpeech)
endif()

set_target_properties(KF5PimTextEdit PROPERTIES
    VERSION ${KPIMTEXTEDIT_VERSION_STRING}
    SOVERSION ${KPIMTEXTEDIT_SOVERSION}
    EXPORT_NAME PimTextEdit
    )

install(TARGETS KF5PimTextEdit EXPORT KF5PimTextEditTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

########### Generate Headers ###############
ecm_generate_headers(KPimTextEdit_CamelCase_HEADERS
    HEADER_NAMES
    EditorUtil
    EmoticonTextEditAction
    InsertImageDialog
    InsertImageWidget
    InsertTableDialog
    InsertTableWidget
    SelectSpecialCharDialog
    SlideContainer
    TableCellFormatDialog
    TableFormatDialog
    TableActionMenu
    TextEditorCompleter
    TextUtils

    PREFIX KPIMTextEdit
    REQUIRED_HEADERS kpimtextedit_HEADERS
    )

ecm_generate_headers(PimCommon_CamelCasetextrichtexteditor_HEADERS
    HEADER_NAMES
    RichTextEditorWidget
    RichTextEditor
    REQUIRED_HEADERS PimCommon_richtexteditor_HEADERS
    PREFIX KPIMTextEdit
    RELATIVE texteditor/richtexteditor
    )

ecm_generate_headers(PimCommon_CamelCaseplaintexteditor_HEADERS
    HEADER_NAMES
    PlainTextEditor
    PlainTextEditorWidget
    PlainTextEditFindBar
    PlainTextSyntaxSpellCheckingHighlighter
    REQUIRED_HEADERS PimCommon_plaintexteditor_HEADERS
    PREFIX KPIMTextEdit
    RELATIVE texteditor/plaintexteditor
    )

ecm_generate_headers(PimCommon_CamelCasetexteditor_commonwidget_HEADERS
    HEADER_NAMES
    TextGotoLineWidget
    TextEditFindBarBase
    REQUIRED_HEADERS PimCommon_texteditor_commonwidget_HEADERS
    PREFIX KPIMTextEdit
    RELATIVE texteditor/commonwidget
    )



ecm_generate_headers(KPimTextEdit_CamelCasetexttospeechs_HEADERS
    HEADER_NAMES
    TextToSpeech
    TextToSpeechActions
    TextToSpeechInterface
    TextToSpeechWidget
    AbstractTextToSpeechInterface
    REQUIRED_HEADERS KPimTextEdit_texttospeechs_HEADERS
    PREFIX KPIMTextEdit
    RELATIVE texttospeech
    )

ecm_generate_headers(KPimTextEdit_Camelcasecomposerng_HEADERS
    HEADER_NAMES
    RichTextComposer
    RichTextComposerControler
    RichTextComposerImages
    RichTextExternalComposer
    RichTextComposerActions
    RichTextComposerEmailQuoteHighlighter
    RichTextComposerWidget
    REQUIRED_HEADERS KPimTextEdit_composerng_HEADERS
    PREFIX KPIMTextEdit
    RELATIVE composer-ng
    )


########### install files ###############

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/kpimtextedit_export.h
    ${CMAKE_CURRENT_BINARY_DIR}/config-kpimtextedit.h
    ${kpimtextedit_HEADERS}
    ${KPimTextEdit_texttospeechs_HEADERS}
    ${PimCommon_richtexteditor_HEADERS}
    ${PimCommon_texteditor_commonwidget_HEADERS}
    ${PimCommon_plaintexteditor_HEADERS}
    ${KPimTextEdit_composerng_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KPIMTextEdit/kpimtextedit
    COMPONENT Devel
    )

install(FILES
    ${KPimTextEdit_CamelCase_HEADERS}
    ${PimCommon_CamelCasetextrichtexteditor_HEADERS}
    ${PimCommon_CamelCaseplaintexteditor_HEADERS}
    ${KPimTextEdit_CamelCasetexttospeechs_HEADERS}
    ${PimCommon_CamelCasetexteditor_commonwidget_HEADERS}
    ${KPimTextEdit_Camelcasecomposerng_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KPIMTextEdit/KPIMTextEdit/
    COMPONENT Devel
    )

ecm_generate_pri_file(BASE_NAME KPIMTextEdit LIB_NAME KF5PIMTextEdit DEPS "" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KPIMTextEdit/)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

if (BUILD_TESTING)
    add_subdirectory(texteditor/plaintexteditor/autotests)
    add_subdirectory(texteditor/richtexteditor/autotests)
    add_subdirectory(texteditor/commonwidget/autotests)
    add_subdirectory(texteditor/plaintexteditor/tests)
    add_subdirectory(texteditor/richtexteditor/tests)
    add_subdirectory(texttospeech/autotests)
    add_subdirectory(texttospeech/tests)
    add_subdirectory(composer-ng/autotests)
    add_subdirectory(composer-ng/tests)
endif()

add_subdirectory(designer)

## kpimtextedit 18.08.3.1+rb2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
set(PIM_VERSION "5.9.3")

project(KPimTextEdit VERSION ${PIM_VERSION})

# ECM setup
set(KF5_VERSION "5.47.0")

find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

if (POLICY CMP0053)
    cmake_policy(SET CMP0053 NEW)
endif()


include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMQtDeclareLoggingCategory)
include(ECMCoverageOption)


set(KPIMTEXTEDIT_LIB_VERSION ${PIM_VERSION})

ecm_setup_version(PROJECT VARIABLE_PREFIX KPIMTEXTEDIT
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kpimtextedit_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5PimTextEditConfigVersion.cmake"
    SOVERSION 5
)

set(QT_REQUIRED_VERSION "5.9.0")
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED COMPONENTS Widgets)
find_package(Grantlee5 "5.1" CONFIG REQUIRED)
set_package_properties(Grantlee5 PROPERTIES
    DESCRIPTION "A plug-in based String Template system for Qt"
    URL "http://github.com/steveire/grantlee"
    PURPOSE "Required for the RichText composer"
    TYPE REQUIRED
    )

find_package(KF5DesignerPlugin ${KF5_VERSION} CONFIG)
set_package_properties(KF5DesignerPlugin PROPERTIES DESCRIPTION "KF5 designer plugin" TYPE OPTIONAL)

########### Find packages ###########
find_package(KF5Codecs ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5ConfigWidgets ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5CoreAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Emoticons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5IconThemes ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Sonnet ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5SyntaxHighlighting ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5WidgetsAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5XmlGui ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5DesignerPlugin ${KF5_VERSION} CONFIG)
set_package_properties(KF5DesignerPlugin PROPERTIES DESCRIPTION "KF5 designer plugin" TYPE OPTIONAL)

add_definitions(-DTRANSLATION_DOMAIN=\"libkpimtextedit\")
add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
option(KPIMTEXTEDIT_NO_TEXTTOSPEECH "Do not use TextToSpeech in the kdepim applications" FALSE)

if (NOT KPIMTEXTEDIT_NO_TEXTTOSPEECH)
    find_package(Qt5 OPTIONAL_COMPONENTS TextToSpeech)
endif()

if (KPIMTEXTEDIT_NO_TEXTTOSPEECH)
    set(KPIMTEXTEDIT_HAVE_TEXTTOSPEECH FALSE)
else()
    if (${Qt5TextToSpeech_FOUND})
        set(KPIMTEXTEDIT_HAVE_TEXTTOSPEECH TRUE)
    endif()
endif()

if(BUILD_TESTING)
    find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED COMPONENTS Test)
   add_definitions(-DBUILD_TESTING)
endif()

########### Targets ###########
add_subdirectory(src)

if(BUILD_TESTING)
    find_package(KF5TextWidgets ${KF5_VERSION} CONFIG REQUIRED)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5PimTextEdit")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5PimTextEditConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5PimTextEditConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    )

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5PimTextEditConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5PimTextEditConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
    )

install(EXPORT KF5PimTextEditTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KF5PimTextEditTargets.cmake
    NAMESPACE KF5::
    )

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/kpimtextedit_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}
    COMPONENT Devel
    )

install( FILES kpimtextedit.categories DESTINATION ${KDE_INSTALL_CONFDIR} )


feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== src/designer/CMakeLists.txt ===
if (KF5DesignerPlugin_FOUND)
    kf5designerplugin_add_plugin(kpimtexteditwidgets kpimtexteditwidgets.widgets)
    target_link_libraries(kpimtexteditwidgets
        KF5::PimTextEdit Qt5::Widgets
    )
    set_property(SOURCE ${CMAKE_CURRENT_BINARY_DIR}/kpimtexteditwidgetswidgets.cpp PROPERTY SKIP_AUTOMOC ON)
    if(NOT WIN32)
        # Since there are no libraries provided by this module,
        # there is no point including the build tree in RPath,
        # and then having to edit it at install time.
        set_target_properties(kpimtexteditwidgets PROPERTIES
            SKIP_BUILD_RPATH TRUE
            BUILD_WITH_INSTALL_RPATH TRUE
        )
    endif()

    install(TARGETS
        kpimtexteditwidgets
        DESTINATION ${KDE_INSTALL_QTPLUGINDIR}/designer
    )
endif()

=== src/texteditor/richtexteditor/autotests/CMakeLists.txt ===
ecm_add_tests(richtexteditortest.cpp
    NAME_PREFIX "kpimtextedit-richtesteditor-"
    LINK_LIBRARIES KF5::PimTextEdit Qt5::Test Qt5::Widgets
)

=== debian/changelog ===
kpimtextedit (18.08.3.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 28 Jan 2021 10:56:58 +0800

## kpimtextedit 18.12.3

=== debian/changelog ===
kpimtextedit (18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:46:52 +0100

kpimtextedit (18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:06:28 +0000

kpimtextedit (18.04.3-0ubuntu4) disco; urgency=medium

  * Follow Debian dropping of autotests.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Feb 2019 08:08:27 +0000

## kpimtextedit 19.04.3

=== debian/changelog ===
kpimtextedit (19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:56:01 +0100

## kpimtextedit 19.08.3

=== debian/changelog ===
kpimtextedit (19.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.3).

 -- Sandro Knauß <hefee@debian.org>  Sat, 30 Nov 2019 22:54:12 +0100

kpimtextedit (19.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.1 (No changes needed).
  * New upstream release (19.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update install files for new upstream release.
  * Update patch hunks.
  * Add patch to get tests pass.
  * Remove breaks against kde-l10n packages.

 -- Sandro Knauß <hefee@debian.org>  Fri, 08 Nov 2019 10:38:08 +0100

kpimtextedit (18.08.3-3) unstable; urgency=medium

  * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Nov 2019 23:48:48 +0100

kpimtextedit (18.08.3-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.0 (No changes needed).
  * Bump compat level to 12.
  * Add myself to Uploaders.
  * Delete not needed Breaks/Confilcts.
  * Use virtual packages to bundle KDEPIM.

 -- Sandro Knauß <hefee@debian.org>  Thu, 03 Oct 2019 23:01:18 +0200

=== debian/control ===
Source: kpimtextedit
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: breeze-icon-theme,
               cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.60.0~),
               kgendesignerplugin (>= 5.60.0~),
               libgrantlee5-dev (>= 5.1~),
               libkf5codecs-dev (>= 5.60.0~),
               libkf5config-dev (>= 5.60.0~),
               libkf5configwidgets-dev (>= 5.60.0~),
               libkf5coreaddons-dev (>= 5.60.0~),
               libkf5emoticons-dev (>= 5.60.0~),
               libkf5i18n-dev (>= 5.60.0~),
               libkf5iconthemes-dev (>= 5.60.0~),
               libkf5kio-dev (>= 5.60.0~),
               libkf5sonnet-dev (>= 5.60.0~),
               libkf5syntaxhighlighting-dev (>= 5.60.0~),
               libkf5textwidgets-dev (>= 5.60.0~),
               libkf5widgetsaddons-dev (>= 5.60.0~),
               libkf5xmlgui-dev (>= 5.60.0~),
               libqt5texttospeech5-dev,
               openbox,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.11.0~),
               qttools5-dev,
               qttools5-dev-tools,
               xauth,
               xvfb
Standards-Version: 4.4.1
Homepage: https://projects.kde.org/projects/kde/pim/kpimtextedit
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpimtextedit
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpimtextedit.git

Package: libkf5pimtextedit-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libkf5pimtextedit - arch independent files
 KPIMTextedit provides a textedit with PIM-specific features. It also provides
 so-called rich text builders which can convert the formatted text in the text
 edit to all kinds of markup, like HTML or BBCODE.
 .
 This package contains the arch independent files.

Package: libkf5pimtextedit-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5pimtextedit5abi2 (= ${binary:Version}),
         libkf5syntaxhighlighting-dev (>= 5.60.0~),
         libkf5textwidgets-dev (>= 5.60.0~),
         ${misc:Depends}
Description: libkf5pimtextedit - development files
 KPIMTextedit provides a textedit with PIM-specific features. It also provides
 so-called rich text builders which can convert the formatted text in the text
 edit to all kinds of markup, like HTML or BBCODE.
 .
 This package contains the development files.

Package: libkf5pimtextedit-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library that provides a textedit with PIM-specific features - plugins
 KPIMTextedit provides a textedit with PIM-specific features. It also provides
 so-called rich text builders which can convert the formatted text in the text
 edit to all kinds of markup, like HTML or BBCODE.
 .
 This package contains the plugin for Qt Designer.

Package: libkf5pimtextedit5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5PimTextEdit
Architecture: any
Multi-Arch: same
Depends: libkf5pimtextedit-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5pimtextedit-plugins
Description: library that provides a textedit with PIM-specific features
 KPIMTextedit provides a textedit with PIM-specific features. It also provides
 so-called rich text builders which can convert the formatted text in the text
 edit to all kinds of markup, like HTML or BBCODE.
 .
 This package is part of the KDE Development Platform PIM libraries module.
Provides: ${ABI:VirtualPackage}

=== debian/rules ===
#!/usr/bin/make -f


include /usr/share/dpkg/pkg-info.mk
include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

TESTS_HOME=$(CURDIR)/debian/tests.home

AbiVirtualPackageVersion = $(call dpkg_late_eval,AbiVirtualPackageVersion,echo '${DEB_VERSION_UPSTREAM}' | sed -e 's/\.[0-9]\+$$//')
pkgs_lib = $(filter-out %-%,$(filter lib%,$(shell dh_listpackages)))

override_dh_makeshlibs:
	for pkg in $(pkgs_lib); do \
		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
		$(overridden_command) -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
	done

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5pimtextedit-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p "$(TESTS_HOME)"
	HOME=$(TESTS_HOME) xvfb-run -a --server-args="-screen 0 1024x768x24" debian/testsuite.xsession
	rm -rf "$(TESTS_HOME)"
endif

## kpimtextedit 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(PIM_VERSION "5.13.3")

project(KPimTextEdit VERSION ${PIM_VERSION})

# ECM setup
set(KF5_MIN_VERSION "5.63.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

if (POLICY CMP0053)
    cmake_policy(SET CMP0053 NEW)
endif()


include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)

include(ECMSetupVersion)
include(FeatureSummary)
include(ECMAddTests)
include(ECMQtDeclareLoggingCategory)



set(KPIMTEXTEDIT_LIB_VERSION ${PIM_VERSION})

ecm_setup_version(PROJECT VARIABLE_PREFIX KPIMTEXTEDIT
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kpimtextedit_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5PimTextEditConfigVersion.cmake"
    SOVERSION 5
)

set(QT_REQUIRED_VERSION "5.11.0")
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED COMPONENTS Widgets)
find_package(Grantlee5 "5.1" CONFIG REQUIRED)
set_package_properties(Grantlee5 PROPERTIES
    DESCRIPTION "A plug-in based String Template system for Qt"
    URL "https://github.com/steveire/grantlee"
    PURPOSE "Required for the RichText composer"
    TYPE REQUIRED
    )

########### Find packages ###########
find_package(KF5Codecs ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5ConfigWidgets ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5CoreAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5IconThemes ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Sonnet ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5SyntaxHighlighting ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5WidgetsAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5XmlGui ${KF5_MIN_VERSION} CONFIG REQUIRED)

option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

add_definitions(-DTRANSLATION_DOMAIN=\"libkpimtextedit\")

if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054000)
endif()

add_definitions(-DQT_NO_FOREACH)

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED COMPONENTS TextToSpeech)

if(BUILD_TESTING)
    find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED COMPONENTS Test)
   add_definitions(-DBUILD_TESTING)
endif()

########### Targets ###########
add_subdirectory(src)

if(BUILD_TESTING)
    find_package(KF5TextWidgets ${KF5_MIN_VERSION} CONFIG REQUIRED)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5PimTextEdit")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5PimTextEditConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5PimTextEditConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    )

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5PimTextEditConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5PimTextEditConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
    )

install(EXPORT KF5PimTextEditTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KF5PimTextEditTargets.cmake
    NAMESPACE KF5::
    )

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/kpimtextedit_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}
    COMPONENT Devel
    )

install(FILES kpimtextedit.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})


feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== autotests/CMakeLists.txt ===
include(ECMAddTests)

ecm_add_tests( textutilstest.cpp  editorutiltest.cpp emoticonlistwidgetselectortest.cpp emoticonunicodetabtest.cpp NAME_PREFIX "kpimtextedit-" LINK_LIBRARIES Qt5::Test Qt5::Widgets KF5::Codecs KF5PimTextEdit KF5::IconThemes KF5::TextWidgets KF5::XmlGui)
ecm_add_test(slidecontainertest.cpp
    TEST_NAME slidecontainertest
    NAME_PREFIX kpimtextedit-widget
    LINK_LIBRARIES Qt5::Test Qt5::Gui KF5::PimTextEdit Qt5::Widgets
    )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
 
-configure_file(config-kpimtextedit.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kpimtextedit.h )
 
 set(kpimtextedit_texteditor_SRCS
     texteditor/plaintexteditor/plaintexteditfindbar.cpp
@@ -41,10 +40,21 @@
     texttospeech/texttospeechactions.cpp
     )
 
+set(kpimtextedit_grantlee_builder_SRCS
+    grantleebuilder/plaintextmarkupbuilder.cpp
+    grantleebuilder/markupdirector.cpp
+    )
+
+set(kpimtextedit_emoticon_builder_SRCS
+    emoticon/emoticontexteditaction.cpp
+    emoticon/emoticontexteditselector.cpp
+    emoticon/emoticonunicodetab.cpp
+    emoticon/emoticonlistwidgetselector.cpp
+    emoticon/emoticonunicodeutils.cpp
+    )
 
 set(kpimtextedit_SRCS
-    emoticontexteditaction.cpp
-    emoticontexteditselector.cpp
+    ${kpimtextedit_emoticon_builder_SRCS}
     inserthtmldialog.cpp
     insertimagedialog.cpp
     insertimagewidget.cpp
@@ -63,7 +73,7 @@
 
 ecm_qt_declare_logging_category(kpimtextedit_SRCS HEADER kpimtextedit_debug.h IDENTIFIER KPIMTEXTEDIT_LOG CATEGORY_NAME org.kde.pim.kpimtextedit)
 
-add_library(KF5PimTextEdit ${kpimtextedit_SRCS} ${kpimtextedit_texteditor_SRCS} ${kpimtextedit_texttospeech_SRCS} ${kpimtextedit_composerng_SRCS})
+add_library(KF5PimTextEdit ${kpimtextedit_SRCS} ${kpimtextedit_texteditor_SRCS} ${kpimtextedit_texttospeech_SRCS} ${kpimtextedit_composerng_SRCS} ${kpimtextedit_grantlee_builder_SRCS})
 
 generate_export_header(KF5PimTextEdit BASE_NAME kpimtextedit)
 
@@ -75,23 +85,18 @@
 
 target_link_libraries(KF5PimTextEdit
     PRIVATE
-    KF5::Emoticons
     KF5::Codecs
     KF5::SonnetUi
     KF5::SonnetCore
     KF5::WidgetsAddons
     KF5::KIOWidgets
     KF5::ConfigWidgets
-    KF5::IconThemes
     Grantlee5::TextDocument
     KF5::XmlGui
     KF5::I18n
     KF5::SyntaxHighlighting
-    )
-
-if(KPIMTEXTEDIT_HAVE_TEXTTOSPEECH)
-    target_link_libraries(KF5PimTextEdit PRIVATE Qt5::TextToSpeech)
-endif()
+    Qt5::TextToSpeech
+    )
 
 set_target_properties(KF5PimTextEdit PROPERTIES
     VERSION ${KPIMTEXTEDIT_VERSION_STRING}
@@ -105,22 +110,23 @@
 ecm_generate_headers(KPimTextEdit_CamelCase_HEADERS
     HEADER_NAMES
     EditorUtil
-    EmoticonTextEditAction
-    InsertImageDialog
-    InsertImageWidget
-    InsertTableDialog
-    InsertTableWidget
     SelectSpecialCharDialog
     SlideContainer
-    TableCellFormatDialog
-    TableFormatDialog
-    TableActionMenu
     TextEditorCompleter
     TextUtils
 
     PREFIX KPIMTextEdit
     REQUIRED_HEADERS kpimtextedit_HEADERS
     )
+
+ecm_generate_headers(KPimTextEdit_CamelCaseemoticon_HEADERS
+    HEADER_NAMES
+    EmoticonUnicodeTab
+    PREFIX KPIMTextEditemoticon
+    REQUIRED_HEADERS kpimtextedit_HEADERS
+    RELATIVE emoticon
+    )
+
 
 ecm_generate_headers(PimCommon_CamelCasetextrichtexteditor_HEADERS
     HEADER_NAMES
@@ -184,13 +190,13 @@
 
 install(FILES
     ${CMAKE_CURRENT_BINARY_DIR}/kpimtextedit_export.h
-    ${CMAKE_CURRENT_BINARY_DIR}/config-kpimtextedit.h
     ${kpimtextedit_HEADERS}
     ${KPimTextEdit_texttospeechs_HEADERS}
     ${PimCommon_richtexteditor_HEADERS}
     ${PimCommon_texteditor_commonwidget_HEADERS}
     ${PimCommon_plaintexteditor_HEADERS}
     ${KPimTextEdit_composerng_HEADERS}
+    ${KPimTextEdit_emoticon_HEADERS}
     DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KPIMTextEdit/kpimtextedit
     COMPONENT Devel
     )
@@ -202,11 +208,12 @@
     ${KPimTextEdit_CamelCasetexttospeechs_HEADERS}
     ${PimCommon_CamelCasetexteditor_commonwidget_HEADERS}
     ${KPimTextEdit_Camelcasecomposerng_HEADERS}
+    ${KPimTextEdit_CamelCaseemoticon_HEADERS}
     DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KPIMTextEdit/KPIMTextEdit/
     COMPONENT Devel
     )
 
-ecm_generate_pri_file(BASE_NAME KPIMTextEdit LIB_NAME KF5PIMTextEdit DEPS "" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KPIMTextEdit/)
+ecm_generate_pri_file(BASE_NAME KPIMTextEdit LIB_NAME KF5PimTextEdit DEPS "" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KPIMTextEdit/)
 install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})
 
 if (BUILD_TESTING)
@@ -221,4 +228,6 @@
     add_subdirectory(composer-ng/tests)
 endif()
 
-add_subdirectory(designer)
+if(BUILD_DESIGNERPLUGIN)
+    add_subdirectory(designer)
+endif()

=== debian/changelog ===
kpimtextedit (19.12.3-0ubuntu1) focal; urgency=medium

  * Move qdebug categories files to new location.
  * New upstream release (19.12.3)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Apr 2020 13:59:18 +0100

kpimtextedit (19.04.3-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:17:25 +0100

=== debian/control ===
Source: kpimtextedit
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kgendesignerplugin (>= 5.31.0~),
               libgrantlee5-dev (>= 5.1~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5emoticons-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5syntaxhighlighting-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libqt5texttospeech5-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/kpimtextedit
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpimtextedit
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpimtextedit

Package: libkf5pimtextedit-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: library that provides a textedit with PIM-specific features
 KPIMTextedit provides a textedit with PIM-specific features. It also provides
 so-called rich text builders which can convert the formatted text in the text
 edit to all kinds of markup, like HTML or BBCODE.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5pimtextedit-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5pimtextedit5abi3 (= ${binary:Version}),
         libkf5syntaxhighlighting-dev (>= 5.31.0~),
         libkf5textwidgets-dev (>= 5.31.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: libkf5pimtextedit - development files
 KPIMTextedit provides a textedit with PIM-specific features. It also provides
 so-called rich text builders which can convert the formatted text in the text
 edit to all kinds of markup, like HTML or BBCODE.
 .
 This package contains the development files.

Package: libkf5pimtextedit5abi3
X-Debian-ABI: 3
X-CMake-Target: KF5PimTextEdit
Architecture: any
Multi-Arch: same
Depends: libkf5pimtextedit-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library that provides a textedit with PIM-specific features
 KPIMTextedit provides a textedit with PIM-specific features. It also provides
 so-called rich text builders which can convert the formatted text in the text
 edit to all kinds of markup, like HTML or BBCODE.
 .
 This package is part of the KDE Development Platform PIM libraries module.

## kpimtextedit 20.08.1

=== debian/changelog ===
kpimtextedit (20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:57:38 +0100

kpimtextedit (20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:21:31 +0100
